QGIS Application - Bug report #12928
Using form view to edit data, changes the attribute that uses Date/Time widget to current date
2015-06-10 12:30 AM - Nhung Seidensticker

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 21010
Description

Using QGIS 2.8.1 (64 bit) on Windows using Esri Shape file.

| have 2 data fields that uses the date/time widgit. One field contains dates of when a title was made (Date_title_Registered) and one that
is set to when the data was entered (date_updated). If | enter my attributes via the attribute table (using table view) the attributes for both
fields remains the same as when | entered it. However, when | switch to form view or use form view via the identify features tool, the date
that | had previously entered for both fields is overwritten to the current date.

To reproduce the bug have a mappable table with a field that uses date/time widgit. Ensure you have different dates in this field (mixture
of months, days, and years). Have the layer editable. Using the identify features tool click on the object, in the form view you will see that
the date has been changed to the current date. Alternatively, select the feature and open the attribute table, switch to form view and notice
that the date has been overwritten by the current.

History

#1 - 2015-06-12 05:45 AM - Matthias Kuhn

- Status changed from Open to Feedback

Can you add

- the data format that you are using

- the widget configuration

#2 - 2015-06-12 06:34 AM - Matthias Kuhn

Just checked: works for me.

Can you check if the "field format" specified in the widget definition matches the format of the dates saved in your data.

#3 - 2015-06-12 09:04 AM - Giovanni Manghi

- Category set to Forms

#4 - 2015-06-15 06:32 PM - Nhung Seidensticker

- File DataFormat.PNG added
- File DateTime.PNG added

Hi Matthias,
Sorry, | was wrong | thought our spatial layer was an Esri Shape file. It's actually a Maplnfo tab file that we pull from SQL. The field format in the widget
does not match the format of the dates in the data ( | forgot to add the 'time'). | changed it to match but the data but the same thing happens, | still get the

current date.

#5 - 2015-06-17 06:59 AM - Giovanni Manghi

Nhung Seidensticker wrote:

Hi Matthias,

Sorry, I was wrong | thought our spatial layer was an Esri Shape file. It's actually a Mapinfo tab file that we pull from SQL. The field format in the

widget does not match the format of the dates in the data ( | forgot to add the 'time'). | changed it to match but the data but the same thing happens,

1 still get the current date.

please add a sample project with data.

#6 - 2015-06-25 10:12 PM - Nhung Seidensticker

Hi Giovanni

My boss is away for another 2 weeks. | need permission. Will provide some sample data and project when | get the ok.

#7 - 2015-07-14 03:55 AM - Valdis Abele

Same (I think) problem for me.

If 1 don't use QT UlI- everything is ok. With Ul dates are getting updated to QDateTimeEdit's date even if | don't touch it. Date formats match in QT Ul and

QGIS.
Versions 2.8.2 and 2.9.0. 64bit on Win 8.1

#8 - 2015-12-27 03:14 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Nhung Seidensticker wrote:

Hi Giovanni

My boss is away for another 2 weeks. | need permission. Will provide some sample data and project when | get the ok.

| also can't replicate here, please reopen if necessary, attaching a sample project+data.

Files

TableView.PNG 64.7 KB 2015-06-09 Nhung Seidensticker
FormViewAT.PNG 90.8 KB 2015-06-09 Nhung Seidensticker
FormViewlF.PNG 61.4 KB 2015-06-09 Nhung Seidensticker
DateTime.PNG 214 KB 2015-06-15 Nhung Seidensticker
DataFormat.PNG 68.4 KB 2015-06-15 Nhung Seidensticker
